AOZ Studio Beta - Bug #867

Set Interval procedure routine jumpy problem in previewer
11/15/2021 09:54 PM - malcolm harvey

Status: Closed Start date: 11/16/2021
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B11) ut17

Description

I have discovered that there is a bug with Set Interval in the previewer.

If you have set a Set Interval previously before say your main do loop routine and then as above, you might gosub from your main
loop or from a sub loop of a gosub, to a routine that then wait for a mouse click before exiting back to the main loop, the Interval
procedure routine starts getting intermittent not smooth.

For example, a custom mouse moving sprite will become jumpy and clock hands become randomly jumpy which are all in the Set
Interval procedure not keeping up as per normally previously set.

| also have done a del or turn of set interval and restarted it in the gosub routine as well that is checking the mouse and waiting for
click and no difference. But, Ive also found now, if you run again this same thing in a Fullscreen browser all is fine and continues to
go smooth after exiting the gosub loop in question, so yes a quirk in the previewer with this somehow.

History

#1 - 12/07/2021 06:22 AM - Francois Lionet

- Status changed from New to Feedback

Could you give me example code? this would be easier than trying to reproduce...
?

#2 - 12/07/2021 11:35 AM - malcolm harvey
- Status changed from Feedback to Closed

As with every int my other ticket issue, it will be difficult to get the code out to see this but ill
make another ticket if | can do this. Again, its best | make a ticket on what is not running in the previewer instead.
